Package org.kie.api.definition

## Interface KiePackage

-     public interface KiePackage

  This provides a collection of knowledge definitions that can be given to a `KieBase`. The name is used to provide "namespace" separation of those definitions.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Collection<FactType>` | `getFactTypes()` | Return the fact types declared in this package The collection is immutable.
    `java.util.Collection<java.lang.String>` | `getFunctionNames()` | Return the names of the functions defined in this package.
    `java.util.Collection<Global>` | `getGlobalVariables()` | Return the names of the globals defined in this package.
    `java.lang.String` | `getName()` |
    `java.util.Collection<Process>` | `getProcesses()` | Return the process definitions for this package.
    `java.util.Collection<Query>` | `getQueries()` | Return the query definitions for this package.
    `java.util.Collection<Rule>` | `getRules()` |

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns:
        namespace for this package

    - #### getRules

          java.util.Collection<Rule> getRules()

      Returns:
        immutable collection of rule definitions for this package.

    - #### getProcesses

          java.util.Collection<Process> getProcesses()

      Return the process definitions for this package. The collection is immutable.
      Returns:
        a Collection of Processes for this package.

    - #### getFactTypes

          java.util.Collection<FactType> getFactTypes()

      Return the fact types declared in this package The collection is immutable.
      Returns:
        a Collection of FactType for this package

    - #### getQueries

          java.util.Collection<Query> getQueries()

      Return the query definitions for this package. The collection is immutable.
      Returns:
        a Collection of Query for this package

    - #### getFunctionNames

          java.util.Collection<java.lang.String> getFunctionNames()

      Return the names of the functions defined in this package. The collection is immutable.
      Returns:
        a Collection of Function names for this package

    - #### getGlobalVariables

          java.util.Collection<Global> getGlobalVariables()

      Return the names of the globals defined in this package. The collection is immutable.
      Returns:
        a Collection of Global names for this package